package com.ruoyi.school.course.domain.resp.course;

import com.ruoyi.school.course.domain.ScCourseType;
import com.ruoyi.school.member.domain.ScMemberCardCourses;
import lombok.Builder;
import lombok.Data;

import java.util.List;


@Data
@Builder
public class RespCourseTypeSelect {

    private Long id;

    private String label;

    private List<RespCourseSelect> courseList;

    private Long[] selectedCourses;


    public RespCourseTypeSelect() {
    }

    public RespCourseTypeSelect(Long id, String label,List<RespCourseSelect> courseList,Long[] selectedCourses) {
        this.id = id;
        this.label = label;
        this.courseList=courseList;
        this.selectedCourses=selectedCourses;
    }

    public RespCourseTypeSelect(ScCourseType type){
        this.id=type.getCourseTypeId();
        this.label=type.getCourseType();
    }
    public RespCourseTypeSelect(ScMemberCardCourses type){
        this.id=type.getCourseTypeId();
        this.label=type.getCourseType();
        this.selectedCourses=type.getCourses();
    }

}
